curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position/event' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"created_at": "2026-09-21T01:50:53.561Z",
"event_id": "664bcfe5-5a26-45dc-82d2-b3f62a35ef4f",
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quantity_after": "0.00297066689243735",
"quantity_delta": "0.00297066689243735",
"symbol": "AAPLx",
"type": "TRADE"
}
],
"total_items": 1,
"total_pages": 1
}
Stocks
List position events
List changes in effective asset quantity for reconciliation. An event can have no associated order.
GET
/
position
/
event
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position/event' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"created_at": "2026-09-21T01:50:53.561Z",
"event_id": "664bcfe5-5a26-45dc-82d2-b3f62a35ef4f",
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quantity_after": "0.00297066689243735",
"quantity_delta": "0.00297066689243735",
"symbol": "AAPLx",
"type": "TRADE"
}
],
"total_items": 1,
"total_pages": 1
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/position/event' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"created_at": "2026-09-21T01:50:53.561Z",
"event_id": "664bcfe5-5a26-45dc-82d2-b3f62a35ef4f",
"order_id": "53fe3d55-85ff-4804-b6f0-a25a32aa082f",
"quantity_after": "0.00297066689243735",
"quantity_delta": "0.00297066689243735",
"symbol": "AAPLx",
"type": "TRADE"
}
],
"total_items": 1,
"total_pages": 1
}
Authorizations
The API token for login provided by UQPAY.
Query Parameters
The page number to retrieve.
Required range:
1 <= x <= 1000000The maximum number of items to return per page.
Required range:
1 <= x <= 100Asset identifier returned by List assets.
Filter by asset symbol.
Maximum string length:
32Order identifier returned when creating or listing orders.
Inclusive start of the event-time window. When both are provided, from must be earlier than to.
Exclusive end of the event-time window. When both are provided, from must be earlier than to.
Response
Success
Items on this page. An empty array can indicate no matches or a page beyond the last result.
Show child attributes
Show child attributes
Number of result pages for the requested page size.
Required range:
x >= 0Example:
1
Number of matching items across all pages.
Required range:
x >= 0Example:
1

